# Uses of Interface
org.jmol.api.JmolAppAPI

Packages that use JmolAppAPI
Package
Description
org.jmol.api
org.jmol.dialog
org.openscience.jmol.app
org.openscience.jmol.app.janocchio

## Uses of JmolAppAPI in org.jmol.api

Methods in org.jmol.api with parameters of type JmolAppAPI
Modifier and Type
Method
Description
`String`
JmolDialogInterface.`getOpenFileNameFromDialog(Map<String,Object> vwrOptions, Viewer vwr, String fileName, JmolAppAPI historyFile, String windowName, boolean allowAppend)`

## Uses of JmolAppAPI in org.jmol.dialog

Methods in org.jmol.dialog with parameters of type JmolAppAPI
Modifier and Type
Method
Description
`String`
Dialog.`getOpenFileNameFromDialog(Map<String,Object> vwrOptions, Viewer vwr, String fileName, JmolAppAPI jmolApp, String windowName, boolean allowAppend)`

## Uses of JmolAppAPI in org.openscience.jmol.app

Classes in org.openscience.jmol.app that implement JmolAppAPI
Modifier and Type
Class
Description
`class`
`JmolApp`

## Uses of JmolAppAPI in org.openscience.jmol.app.janocchio

Classes in org.openscience.jmol.app.janocchio that implement JmolAppAPI
Modifier and Type
Class
Description
`class`
`Nmr`